@import "@/styles/variables";

.auth-layout {
    background: $gray-200;
    display: grid;
    grid-template-rows: max-content 1fr;
    min-height: 100dvh;

    @include desktop {
        grid-template-columns: repeat(3, 1fr);
    }
}

.main {
    grid-column: 1 / -1;
    grid-row: 2 / 3;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    align-items: center;
    row-gap: 2rem;

    @include notebook {
        display: grid;
        place-self: start center;
        grid-template-columns: repeat(3, 1fr);
    }

    .logo {
        grid-column: 2 / 3;
        position: relative;
        display: flex;
        justify-self: center;
        width: 15rem;
        height: 4rem;

        img {
            object-fit: contain;
            object-position: center;
        }
    }
}

.form-container {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
    place-self: center;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    width: 100%;
    background: $white;
    border-radius: $border-radius;
    gap: 2rem;

    @include tablet {
        padding: 3rem;
        width: 31.5rem;
    }

    &-top {
        display: flex;
        flex-direction: column;
        gap: 0.7rem;
        color: $gray-600;
    }

    &-Gap4 {
        gap: 4rem;
    }
}
